#ifndef ODEEXPRK4_H
#define ODEEXPRK4_H

#include "odesolver.h"

class OdeExpRk41 : public OdeSolver1
{
public:
    void step(Vecd &xout, const OdeFunc1 &f, const Vecd &x, double h) const;
};

class OdeExpRk42 : public OdeSolver2
{
public:
    void step(Vecd &xout, Vecd &vout, const OdeFunc2 &f, const Vecd &x, const Vecd &v, double h) const;
};


#endif
